Public Member Functions

# wxFontData Class Reference
[Common Dialogs, Data Structures]

`#include <wx/fontdata.h>`

Inheritance diagram for wxFontData:
[legend]

## Detailed Description

This class holds a variety of information related to font dialogs.

##

Library: wxCore
Category: Common Dialogs, Data Structures

See also:
  wxFontDialog Overview, wxFont, wxFontDialog

## Public Member Functions
| wxFontData ()
| Constructor.
void | EnableEffects (bool enable)
| Enables or disables "effects" under Windows or generic only.
bool | GetAllowSymbols () const
| Under Windows, returns a flag determining whether symbol fonts can be selected.
wxFont | GetChosenFont () const
| Gets the font chosen by the user if the user pressed OK (wxFontDialog::ShowModal() returned wxID_OK).
const wxColour & | GetColour () const
| Gets the colour associated with the font dialog.
bool | GetEnableEffects () const
| Determines whether "effects" are enabled under Windows.
wxFont | GetInitialFont () const
| Gets the font that will be initially used by the font dialog.
bool | GetShowHelp () const
| Returns true if the Help button will be shown (Windows only).
void | SetAllowSymbols (bool allowSymbols)
| Under Windows, determines whether symbol fonts can be selected.
void | SetChosenFont (const wxFont &font)
| Sets the font that will be returned to the user (for internal use only).
void | SetColour (const wxColour &colour)
| Sets the colour that will be used for the font foreground colour.
void | SetInitialFont (const wxFont &font)
| Sets the font that will be initially used by the font dialog.
void | SetRange (int min, int max)
| Sets the valid range for the font point size (Windows only).
void | SetShowHelp (bool showHelp)
| Determines whether the Help button will be displayed in the font dialog (Windows only).
wxFontData & | operator= (const wxFontData &data)
| Assignment operator for the font data.

List of all members.

## Constructor & Destructor Documentation

wxFontData::wxFontData | ( |  | ) |

Constructor.

Initializes fontColour to black, showHelp to false, allowSymbols to true, enableEffects to true, minSize to 0 and maxSize to 0.

## Member Function Documentation

void wxFontData::EnableEffects | ( | bool | enable | ) |

Enables or disables "effects" under Windows or generic only.

This refers to the controls for manipulating colour, strikeout and underline properties.

The default value is true.

bool wxFontData::GetAllowSymbols | ( |  | ) | const

Under Windows, returns a flag determining whether symbol fonts can be selected.

Has no effect on other platforms.

The default value is true.

wxFont wxFontData::GetChosenFont | ( |  | ) | const

Gets the font chosen by the user if the user pressed OK (wxFontDialog::ShowModal() returned wxID_OK).

const wxColour& wxFontData::GetColour | ( |  | ) | const

Gets the colour associated with the font dialog.

The default value is black.

bool wxFontData::GetEnableEffects | ( |  | ) | const

Determines whether "effects" are enabled under Windows.

This refers to the controls for manipulating colour, strikeout and underline properties.

The default value is true.

wxFont wxFontData::GetInitialFont | ( |  | ) | const

Gets the font that will be initially used by the font dialog.

This should have previously been set by the application.

bool wxFontData::GetShowHelp | ( |  | ) | const

Returns true if the Help button will be shown (Windows only).

The default value is false.

wxFontData& wxFontData::operator= | ( | const wxFontData & | data | ) |

Assignment operator for the font data.

void wxFontData::SetAllowSymbols | ( | bool | allowSymbols | ) |

Under Windows, determines whether symbol fonts can be selected.

Has no effect on other platforms.

The default value is true.

void wxFontData::SetChosenFont | ( | const wxFont & | font | ) |

Sets the font that will be returned to the user (for internal use only).

void wxFontData::SetColour | ( | const wxColour & | colour | ) |

Sets the colour that will be used for the font foreground colour.

The default colour is black.

void wxFontData::SetInitialFont | ( | const wxFont & | font | ) |

Sets the font that will be initially used by the font dialog.

void wxFontData::SetRange | ( | int | min,
|  | int | max |
| ) |  |  |

Sets the valid range for the font point size (Windows only).

The default is 0, 0 (unrestricted range).

void wxFontData::SetShowHelp | ( | bool | showHelp | ) |

Determines whether the Help button will be displayed in the font dialog (Windows only).

The default value is false.

|  | [ top ]